al_get_haptic_effect_duration(3)

NAME

al_get_haptic_effect_duration - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    double al_get_haptic_effect_duration(ALLEGRO_HAPTIC_EFFECT * effect)

DESCRIPTION

Returns the estimated duration in seconds of a single loop of the given haptic effect. The effect's effect.replay must have been filled in correctly before using this function.

SINCE

5.1.9

    [Unstable API]: Perhaps could be simplified due to limited support for all the exposed features across all of the platforms. Awaiting feedback from users.